org.eclipse.jetty.webapp

## Class JettyWebXmlConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.webapp.JettyWebXmlConfiguration

- All Implemented Interfaces:
    Configuration

      public class JettyWebXmlConfiguration
      extends AbstractConfiguration

  JettyWebConfiguration. Looks for Xmlconfiguration files in WEB-INF. Searches in order for the first of jetty6-web.xml, jetty-web.xml or web-jetty.xml

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JETTY_WEB_XML`
    `static String` | `PROPERTY_THIS_WEB_INF_URL` The value of this property points to the WEB-INF directory of the web-app currently installed.
    `static String` | `XML_CONFIGURATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyWebXmlConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(WebAppContext context)` Configure Apply web-jetty.xml configuration

    - ### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

      `cloneConfigure, deconfigure, destroy, postConfigure, preConfigure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_THIS_WEB_INF_URL

          public static final String PROPERTY_THIS_WEB_INF_URL

      The value of this property points to the WEB-INF directory of the web-app currently installed. it is passed as a property to the jetty-web.xml file
      See Also:
        Constant Field Values

    - #### XML_CONFIGURATION

          public static final String XML_CONFIGURATION

      See Also:
        Constant Field Values

    - #### JETTY_WEB_XML

          public static final String JETTY_WEB_XML

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JettyWebXmlConfiguration

          public JettyWebXmlConfiguration()

  - ### Method Detail

    - #### configure

          public void configure(WebAppContext context)
                         throws Exception

      Configure Apply web-jetty.xml configuration
      Specified by:
        `configure` in interface `Configuration`
      Overrides:
        `configure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `Exception`
      See Also:
        `Configuration.configure(WebAppContext)`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.